/*
 * skillchains-lang-xul.js
 *
 * Copyright (c) 2004 by Daniel Potter.  All rights reserved.
 *
 * Usage of this file falls under the terms of the GPL.
 *
 * Bridges the gap between the "generic" JavaScript code and the Mozilla
 * localization code.
 */

var strings;

function getLocalString(name) {
    if (!strings) {
	// Load up our string bundle.
	var strBundleService = Components.classes["@mozilla.org/intl/stringbundle;1"].getService(Components.interfaces.nsIStringBundleService);
	var xulStrings = strBundleService.createBundle("chrome://skillchains/locale/skillchains.properties");
    }
   return xulStrings.GetStringFromName(name);
}

